
QGIS Application - Feature request #1308

dxf plugin crashes QGIS

2008-09-10 08:30 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 11368

Description

When opening a dxf, I get:

Warning: Qt has caught an exception thrown from an event handler. Throwing

exceptions from an event handler is not supported in Qt. You must

reimplement QApplication::notify() and catch all exceptions there.

terminate called after throwing an instance of 'std::out_of_range'

  what():  basic_string::substr

Abortito

Self compiled on Debian from current trunk

Associated revisions

Revision 852dd612 - 2011-03-07 05:45 PM - Jürgen Fischer

fix #1308

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15380 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 6f45929d - 2011-03-07 05:45 PM - Jürgen Fischer

fix #1308

git-svn-id: http://svn.osgeo.org/qgis/trunk@15380 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-09-13 12:04 PM - Tom Elwertowski

Unable to reproduce on a Mac. I tried adding various things to a valid dxf but the reader seems very good at ignoring unexpected input and still doing

something reasonable.

Added application-wide exception handler for uncaught events in commit:b254446b (SVN r9320). It will display an alert rather than crashing and may allow

you to continue working if the unsuccessful load doesn't create an unstable layer.

#2 - 2008-09-14 08:40 AM - Paolo Cavallini

The problem derives by the lack of an output layer. If I insert it, everything works. However, the error message: basic_string::substr is not very helpful -

could you please change it with something like "Please select a name for the output layer". With this modification, the bug can be closed.
#3 - 2009-07-11 01:08 PM - Giovanni Manghi

I confirm that if you forget to select an output file, the message given is

basic_string::substr

that as a matter of fact should be changed with something different. Should be a pretty easy bug to fix.

#4 - 2011-03-07 08:27 AM - Anne Ghisla

Let me attach a patch, excusing my poor C++. Hope this helps!

#5 - 2011-03-07 08:46 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:6f45929d (SVN r15381).

Files

dxf2shp.diff 536 Bytes 2011-03-07 Anne Ghisla
